PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_repalloc

## Name

SPI_repalloc -- Re-allocates memory in upper Executor context

## Synopsis

    SPI_repalloc(pointer, size)

### Inputs

void * `pointer`

  Pointer to existing storage

Size `size`

  Octet size of storage to allocate

### Outputs

void *

  New storage space of specified size with contents copied from existing area

## Description

`SPI_repalloc` re-allocates memory in upper Executor context.

## Usage

This function is no longer different from plain `repalloc`. It's kept just for backward compatibility of existing code.

Prev | Home | Next
SPI_palloc | Up | SPI_pfree